Subject: SITA Master Agreement
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Wed, 6 Dec 2000 01:42:00 -0800 (PST)

Susan:

A few items to follow up with:

(1)  I understand that you are finalizing the Enron Corp. guaranty with 
Clement Abrams.  Please let me know when all is agreed and I will arrange 
with Clem for an executed guaranty.

(2)  Stephanie Panus will fax to you the power of attorney for EEFT to act 
for ECTRIC.  The acronyms will be obvious in the fax.  

(3)  Euros are fine for Termination and Contractual Currency.

(4)  I am considering your proposed certificate in lieu of a board resolution 
and checking your tax rep.

I will be out of the office Dec. 7 & 8.  You can contact Stephanie Panus in 
my absence.

Regards.  Sara